<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.oa.mapper.TacheInstanceMapper">

    <resultMap id="BaseResultMap" type="cn.com.oa.model.TacheInstance">
            <id property="lTinsId" column="l_tins_id" jdbcType="BIGINT"/>
            <result property="lInsId" column="l_ins_id" jdbcType="BIGINT"/>
            <result property="lModelId" column="l_model_id" jdbcType="BIGINT"/>
            <result property="lTmodelId" column="l_tmodel_id" jdbcType="BIGINT"/>
            <result property="vUser" column="v_user" jdbcType="VARCHAR"/>
            <result property="vRemark" column="v_remark" jdbcType="VARCHAR"/>
            <result property="dCreatedate" column="d_createdate" jdbcType="TIMESTAMP"/>
            <result property="dCanceldate" column="d_canceldate" jdbcType="TIMESTAMP"/>
            <result property="nState" column="n_state" jdbcType="INTEGER"/>
            <result property="dFinishdate" column="d_finishdate" jdbcType="TIMESTAMP"/>
            <result property="nIsSms" column="n_is_sms" jdbcType="INTEGER"/>
            <result property="nIsMessage" column="n_is_message" jdbcType="INTEGER"/>
            <result property="nSe" column="n_se" jdbcType="INTEGER"/>
            <result property="lPreTinsId" column="l_pre_tins_id" jdbcType="VARCHAR"/>
            <result property="vParallel" column="v_parallel" jdbcType="VARCHAR"/>
            <result property="lFileId" column="l_file_id" jdbcType="VARCHAR"/>
            <result property="nHasNext" column="n_has_next" jdbcType="INTEGER"/>
            <result property="nNext" column="n_next" jdbcType="INTEGER"/>
            <result property="lGroupid" column="l_groupid" jdbcType="BIGINT"/>
            <result property="nIsEmail" column="n_is_email" jdbcType="INTEGER"/>
            <result property="lGroupxuserid" column="l_groupxuserid" jdbcType="BIGINT"/>
            <result property="lAuthorizedUser" column="l_authorized_user" jdbcType="BIGINT"/>
            <result property="dLastUrgeTime" column="d_last_urge_time" jdbcType="TIMESTAMP"/>
            <result property="nHasReturn" column="n_has_return" jdbcType="INTEGER"/>
            <result property="nDelay" column="n_delay" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        l_tins_id,l_ins_id,l_model_id,
        l_tmodel_id,v_user,v_remark,
        d_createdate,d_canceldate,n_state,
        d_finishdate,n_is_sms,n_is_message,
        n_se,l_pre_tins_id,v_parallel,
        l_file_id,n_has_next,n_next,
        l_groupid,n_is_email,l_groupxuserid,
        l_authorized_user,d_last_urge_time,n_has_return,
        n_delay
    </sql>
</mapper>
